{% extends "scores/views/base.html" %}
{% import 'scores/views/macros.html' as macros %}

{% block version %}1D{% endblock %}


{% block main %}
{% set v_result = validity.items_score %}
<div class=validity style="background-color: rgb({{ 250 - (v_result * 50) }}, {{ v_result * 40 }}, 50)">
  V{{ v_result }}
</div>
<table class=graph_1d>
  <thead>
    <tr>
      <th class=title>{{ "Temperament"|_ }}</th>
      <th class=description>{{ "Description"|_ }}</th>
      <th class=values>
        <ul>
          <li>{{ "Very Low"|_ }}</li>
          <li>{{ "Low"|_ }}</li>
          <li>{{ "Average Low"|_ }}</li>
          <li>{{ "Average High"|_ }}</li>
          <li>{{ "High"|_ }}</li>
          <li>{{ "Very High"|_ }}</li>
        </ul>
      </th>
      <th class=description>{{ "Description"|_ }}</th>
    </tr>
  </thead>
  <tbody>
    {{ macros.graph_row(result, 'ns') }}
    {{ macros.graph_row(result, 'ha') }}
    {{ macros.graph_row(result, 'rd') }}
    {{ macros.graph_row(result, 'ps') }}
  </tbody>
</table>

<table class=graph_1d>
  <thead>
    <tr>
      <th class=title>{{ "Character"|_ }}</th>
      <th class=description>{{ "Description"|_ }}</th>
      <th class=values>
        <ul>
          <li>{{ "Very Low"|_ }}</li>
          <li>{{ "Low"|_ }}</li>
          <li>{{ "Average Low"|_ }}</li>
          <li>{{ "Average High"|_ }}</li>
          <li>{{ "High"|_ }}</li>
          <li>{{ "Very High"|_ }}</li>
        </ul>
      </th>
      <th class=description>{{ "Description"|_ }}</th>
    </tr>
  </thead>
  <tbody>
    {{ macros.graph_row(result, 'sd') }}
    {{ macros.graph_row(result, 'co') }}
    {{ macros.graph_row(result, 'st') }}
  </tbody>
</table>

<section class=graph_1d_legend>
  <ul>
    <li class=rawscore><span></span>{{ "Raw Score"|_ }}</li>
    <li class=tscore><span></span>{{ "T-Score"|_ }}</li>
    <li class=percentile><span></span>{{ "Percentile"|_ }}</li>
  </ul>
</section>

<hr>

<section class=page>
  <table class=qualitative_1d>
    {{ macros.trait_table_thead() }}
    <tbody>
      {% for maintrait in result.maintrait_questions.keys() %}
      {{ macros.trait_table(result, contributions, sorted_subtraits, maintrait) }}
      {% endfor %}
    </tbody>
  </table>
</section>

<hr>

<h1>{{ "The 7 Main Traits"|_ }}</h1>

<h2>{{ "Your Temperament Scores"|_ }}</h2>

{{ macros.qualitative_1d(result, scores_1d, contributions, sorted_subtraits, 'ns') }}
{{ macros.qualitative_1d(result, scores_1d, contributions, sorted_subtraits, 'ha') }}
<hr>
{{ macros.qualitative_1d(result, scores_1d, contributions, sorted_subtraits, 'rd') }}
{{ macros.qualitative_1d(result, scores_1d, contributions, sorted_subtraits, 'ps') }}

<hr>

<h2>{{ "Your Character Scores"|_ }}</h2>

{{ macros.qualitative_1d(result, scores_1d, contributions, sorted_subtraits, 'sd') }}
{{ macros.qualitative_1d(result, scores_1d, contributions, sorted_subtraits, 'co') }}
<hr>
{{ macros.qualitative_1d(result, scores_1d, contributions, sorted_subtraits, 'st') }}

<hr>

<section>
  <h3>{{ "The Lowest 3 Subtraits"|_ }}</h3>
  {{ macros.trait_table_extremes(result, sorted_subtraits[:3]) }}
  <h3>{{ "The Highest 3 Subtraits"|_ }}</h3>
  {{ macros.trait_table_extremes(result, sorted_subtraits[-3:]) }}
</section>

<style>
  main p,
  main table tr th,
  main table tr td
  {
    font-size: 15px;
  }
  table {
    width: 100%;
  }
  table tbody th {
    text-align: left;
  }

  table:not(.graph_1d) .maintrait {
    font-weight: bold;
    background-color: #ddd !important;
  }

  tr.low td:first-of-type {
    background-color: #bbd;
  }
  tr.high td:first-of-type {
    background-color: #9cc;
  }

  .graph_1d thead th:not(.values) {
    text-align: left;
  }
  .graph_1d tbody .values {
    font-size: 1.1em;
  }
  .graph_1d td {
    padding: .1rem;
  }

  .graph_1d .title,
  .graph_1d .description {
    width: 15%;
  }
  .graph_1d tbody .description {
    border-right: 1px solid #ccc;
  }
  .graph_1d .description {
    font-size: 14px;
  }
  .graph_1d .title {
    font-weight: bold;
  }
  .graph_1d tbody .values {
    background: repeating-linear-gradient(
      90deg,#fff,#fff calc(100% / 6),#f6f6f6 calc(100% / 6),#f6f6f6 calc(100% / 3));
  }
  .graph_1d .values .bar {
    height: 25px;
  }

  header#quantitative {
    display: flex;
    padding: 0;
  }
  header#quantitative h2 {
    width: 100%;
  }
  .page {
    position: relative;
  }
  .validity {
    border-radius: 100%;
    padding: .7rem;
    margin: 1rem 0;
  }

  .qualitative_1d th {
    text-align: left;
  }
  .qualitative_1d thead th {
    width: 16%;
  }
  .qualitative_1d thead th:first-child {
    width: 36%;
  }
  .qualitative_1d tbody :not(.maintrait) th {
    font-weight: normal;
    padding: .5rem .3rem;
  }
  .qualitative_1d tbody td {
    border-left: 1px solid #ddd;
  }

  .qualitative_name span {
    text-transform: uppercase;
  }

  .extreme_1d thead th {
    width: 15%;
    text-align: left;
  }
  .extreme_1d thead th:last-child {
    width: 70%;
  }
</style>

{% endblock %}
